.pageblocker {
    position: absolute; /* Position it over the content */ 
    top: 0; 
    left: 0; 
    width: 100%; /* Cover the full width */ 
    height: 100%; /* Cover the full height */ 
    background-color: #ffffff00;
    z-index: 100; /* Higher than underlying content */ 
    pointer-events: all; /* Allow pointer events on the overlay */
}

.transit {
    background-color: rgba(0, 0, 0, 0.5); /* Optional: semi-transparent background */ 
    transition: background-color 1s ease;
}

.pageblocker.hidden {
    z-index: -100; /* Higher than underlying content */ 
    background-color: #ffffff00;  /* Light grey background */
}